Loading...
Searching...
No Matches
BALL::Factory< T > Class Template Reference
Foundation Classes » Concepts » Miscellaneous

`#include <BALL/CONCEPT/factory.h>`

## Static Public Member Functions

static T * | create ()
| Return a pointer to a new instance of T.
static void * | createVoid ()
| Return a void pointer to a new instance of T.
static const T & | getDefault ()
| Return a reference to a (pre-instantiated) default object.

## Detailed Description

template<typename T>
class BALL::Factory< T >

Factory class. The factory class is used to create objects of the type it was parameterized with.

Definition at line 24 of file factory.h.

## Member Function Documentation

## create()

template<typename T>

T * BALL::Factory< T >::create | ( |  | ) |

inline static

Return a pointer to a new instance of T.

Definition at line 29 of file factory.h.

## createVoid()

template<typename T>

void * BALL::Factory< T >::createVoid | ( |  | ) |

inline static

Return a void pointer to a new instance of T.

Definition at line 32 of file factory.h.

## getDefault()

template<typename T>

const T & BALL::Factory< T >::getDefault | ( |  | ) |

inline static

Return a reference to a (pre-instantiated) default object.

Definition at line 35 of file factory.h.